# Stage-discharge equations list

| Equation | Default discharge coefficient | Available in |
|---------------------------|----------------:|-------------------------------|
| [Weir / orifice Cemagref 88](./cem_88_d.md) | 0.4 | Parallel Structures |
| [Weir / undershot gate Cemagref 88](./cem_88_v.md) | 0.6 | Parallel Structures |
| [Cunge 80](./cunge_80.md) | 0.6 | Parallel Structures |
| [Free flow gate](./vanne_denoyee.md) | 0.6 | Parallel Structures |
| [Submerged gate](./vanne_noyee.md) | 0.6 | Parallel Structures |
| [Free flow weir](./seuil_denoye.md) | 0.4 | Parallel Structures, Free flow weir stage-discharge laws |
| [Submerged weir](./seuil_noye.md) | 0.9 | Parallel Structures |
| [Submerged slot (Larinier 1992)](./fente_noyee.md) | 0.75 | Parallel Structures, Cross walls, Downwall |
| [Kindsvater-Carter and Villemonte](./kivi.md) | \(\alpha\)=0.4, \(\beta\)=0.001 | Parallel Structures |
| [Triangular weir (Villemonte)](./dever_triang.md) | 1.36 | Parallel Structures, Free flow weir stage-discharge laws, Cross walls, Downwall |
| [Truncated triangular weir (Villemonte)](./dever_triang_tronque.md) | 1.36 | Parallel Structures, Free flow weir stage-discharge laws, Cross walls, Downwall |
| [Submerged orifice](./orifice_noye.md) | 0.7 | Parallel Structures, Cross walls, Downwall |
| [Free orifice](./orifice_denoye.md) | 0.7 | Parallel Structures |
| [Villemonte 1947](./villemonte_1947.md) | 0.4 | Parallel Structures, Cross walls, Downwall |
| [Regulated notch (Villemonte 1957)](../pab/pab.md#the-downstream-partition) | 0.4 | Downwall |
| [Regulated submerged slot (Larinier 1992)](../pab/pab.md#the-downstream-partition) | 0.75 | Downwall |

Table: Stage-discharge equations list
