import { browser, by, element, ElementFinder } from "protractor";

export class PreferencesPage {
  navigateTo() {
    return browser.get("/#/setup");
  }

  getHeader1() {
    return element(by.css("h1"));
  }

  getLanguageSelect() {
    return element(by.css(`mat-select[data-testid="language-select"]`));
  }

  getEmptyFieldsCheckbox() {
    return element(by.css(`mat-checkbox#cb_emptyFields`));
  }

  getInputLabels() {
    return element.all(by.css("label.mat-form-field-label"));
  }

  getNumericFormFields() {
    return element.all(by.css(`mat-form-field[data-testclass="numeric-input"]`));
  }

  getInputForField(ff: ElementFinder) {
    return ff.element(by.css("input"));
  }

  getErrorsForField(ff: ElementFinder) {
    return ff.element(by.css("mat-error"));
  }

  async changeLanguage(index: number) {
    const select = this.getLanguageSelect();
    await select.click();
    const options = (await select.getAttribute("aria-owns")).split(" ");
    const optId = options[index];
    const option = element(by.id(optId));
    await option.click();
  }

  async disableEvilEmptyFields() {
    const cb = this.getEmptyFieldsCheckbox();
    const underlyingCB = cb.element(by.css(`input.mat-checkbox-input`));
    if (underlyingCB.isSelected()) {
      await cb.click();
    }
  }
}
